export declare function closest(node: HTMLElement | null | undefined, s: string): HTMLElement | null;
export declare function closestElement(node: HTMLElement | null | undefined, s: string): HTMLElement | null;
export type MapCallback<T, S> = (elem: S, idx: number, parent: Element) => T;
export declare function mapElem<T>(elem: Element, callback: MapCallback<T, Element>): Array<T>;
export declare function maphElem<T, U extends HTMLElement>(elem: U, callback: MapCallback<T, U>): Array<T>;
export { walkUpTreeUntil } from './walkUpTreeUntil';
export { unwrap } from './unwrap';
export { removeNestedEmptyEls } from './removeNestedEmptyEls';
export { containsClassName } from './containsClassName';
export { parsePx } from './parsePx';
